Contents
Get List of Shared Files on Wiki
[Notice] Starting July 14, 2026, we are changing how we provide Wiki:
- New spaces: Wiki is not available.
- Existing spaces: Wiki is off by default for new projects. You can turn it on in project settings.
For details, see Important Notice: Discontinuing Wiki for New Spaces and Updating Default Settings for New Projects.
Wiki API endpoints still work. Discontinuing Wiki in the future will affect API integrations, and we’ll give you ample notice beforehand.
Returns the list of Shared Files on Wiki.
Role
Administrator
Normal User
Method
GET
URL
/api/v2/wikis/:wikiId/sharedFiles
URL parameters
| Parameter Name | Type | Description |
|---|---|---|
| wikiId | Number | Wiki page’s ID |
Response example
Status Line / Response Header
HTTP/1.1 200 OK
Content-Type:application/json;charset=utf-8
Response Body
[
{
"id": 825952,
"projectId": 5,
"type": "file",
"dir": "/PressRelease/20091130/",
"name": "20091130.txt",
"size": 4836,
"createdUser": {
"id": 1,
"userId": "admin",
"name": "admin",
"roleType": 1,
"lang": "ja",
"nulabAccount": {
"nulabId": "Prm9ZD9DQD5snNWcSYSwZiQoA9WFBUEa2ySznrSnSQRhdC2X8G",
"name": "admin",
"uniqueId": "admin"
},
"mailAddress": "eguchi@nulab.example",
"lastLoginTime": "2022-09-01T06:35:39Z"
},
"created": "2009-11-30T01:22:21Z",
"updatedUser": null,
"updated": "2009-11-30T01:22:21Z"
},
// ...
]